digiKam Developer Documentation: Digikam::MapBackend Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Public Attributes | Protected Slots | Protected Member Functions | List of all members
Digikam::MapBackend Class Referenceabstract
Inheritance diagram for Digikam::MapBackend:

## Public Slots
virtual void | slotClustersNeedUpdating ()=0
virtual void | slotThumbnailAvailableForIndex (const QVariant &index, const QPixmap &pixmap)
virtual void | slotTrackManagerChanged ()

## Signals
void | signalBackendReadyChanged (const QString &backendName)
void | signalClustersClicked (const QIntList &clusterIndices)
void | signalClustersMoved (const QIntList &clusterIndices, const QPair< int, QModelIndex > &snapTarget)
void | signalMarkersMoved (const QIntList &markerIndices)
void | signalSelectionHasBeenMade (const Digikam::GeoCoordinates::Pair &coordinates)
void | signalZoomChanged (const QString &newZoom)

## Public Member Functions
| MapBackend (const QExplicitlySharedDataPointer< GeoIfaceSharedData > &sharedData, QObject *const parent)
virtual void | addActionsToConfigurationMenu (QMenu *const configurationMenu)=0
virtual QString | backendHumanName () const =0
virtual QString | backendName () const =0
virtual void | centerOn (const Marble::GeoDataLatLonBox &box, const bool useSaneZoomLevel=true)=0
virtual bool | geoCoordinates (const QPoint &point, GeoCoordinates *const coordinates) const =0
virtual GeoCoordinates | getCenter () const =0
virtual int | getMarkerModelLevel ()=0
virtual GeoCoordinates::PairList | getNormalizedBounds ()=0
virtual QString | getZoom () const =0
virtual bool | isReady () const =0
virtual QSize | mapSize () const =0
virtual QWidget * | mapWidget ()=0
virtual void | mapWidgetDocked (const bool state)=0
virtual void | mouseModeChanged ()=0
virtual void | readSettingsFromGroup (const KConfigGroup *const group)=0
virtual void | regionSelectionChanged ()=0
virtual void | releaseWidget (GeoIfaceInternalWidgetInfo *const info)=0
virtual void | reload ()=0
virtual void | saveSettingsToGroup (KConfigGroup *const group)=0
virtual bool | screenCoordinates (const GeoCoordinates &coordinates, QPoint *const point)=0
virtual void | setActive (const bool state)=0
virtual void | setCenter (const GeoCoordinates &coordinate)=0
virtual void | setZoom (const QString &newZoom)=0
virtual void | updateActionAvailability ()=0
virtual void | updateClusters ()=0
virtual void | updateMarkers ()=0
virtual void | zoomIn ()=0
virtual void | zoomOut ()=0

## Public Attributes
const QExplicitlySharedDataPointer< GeoIfaceSharedData > | s

## Protected Slots
void | slotExportScreenshot ()

## Protected Member Functions
void | addCommonOptions (QMenu *const configurationMenu)

## Member Function Documentation

## ◆ centerOn()

virtual void Digikam::MapBackend::centerOn | ( | const Marble::GeoDataLatLonBox & | box,
|  | const bool | useSaneZoomLevel = `true`
| ) |  |
| pure virtual

Implemented in Digikam::BackendMarble, and Digikam::BackendGoogleMaps.

## ◆ mapWidget()

virtual QWidget * Digikam::MapBackend::mapWidget | ( |  | ) |
| pure virtual

Implemented in Digikam::BackendMarble.

## ◆ mouseModeChanged()

virtual void Digikam::MapBackend::mouseModeChanged | ( |  | ) |
| pure virtual

Implemented in Digikam::BackendGoogleMaps.

## ◆ setActive()

virtual void Digikam::MapBackend::setActive | ( | const bool | state | ) |
| pure virtual

Implemented in Digikam::BackendGoogleMaps.